Bug 102132 - Contextual UNO command for editing a section
Summary: Contextual UNO command for editing a section
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Gülşah Köse
QA Contact:
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks: UNO-Command
  Show dependency treegraph
 
Reported: 2016-09-12 21:51 UTC by Yousuf Philips (jay)
Modified: 2017-02-02 11:32 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2016-09-12 21:51:11 UTC
We have the Format > Sections... (.uno:EditRegion) command that isnt contextual and cant be included in the context menu or Edit menu, so we need the same functionality of this command but one that is contextual (meaning disabled when not in a section).
Comment 1 Buovjaga 2016-10-08 09:52:26 UTC
Ok -> NEW
Comment 2 Commit Notification 2017-01-30 22:32:06 UTC
Gulsah Kose committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8d999b118e553a47a34639c7fda138b609b7aac9

tdf#102132 Add contextual edit region uno command.

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Yousuf Philips (jay) 2017-02-02 11:32:28 UTC
Thanks Gulsah.